%global github_name AlizaMS

%global forgeurl https://github.com/AlizaMedicalImaging/%{github_name}

Name:    alizams
Version: 1.7.1

%forgemeta

Release: 1%{?dist}
Summary: Aliza MS DICOM Viewer
License: GPLv3
URL:     %{forgeurl}
Source0: %{forgesource}
Source1: %{name}.appdata.xml

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  g++
BuildRequires:  libuuid-devel
BuildRequires:  zlib-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  vxl-devel
BuildRequires:  openjpeg2-devel >= 2.0
BuildRequires:  CharLS-devel
BuildRequires:  cmake(LIBMINC)
BuildRequires:  cmake(ITK)
BuildRequires:  cmake(gdcm)
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

Requires:       hicolor-icon-theme
Requires:       qt5-qtsvg

# https://github.com/AlizaMedicalImaging/AlizaMS/issues/2
ExcludeArch:      %{power64} %{ix86} s390x

%description
A DICOM viewer. Very fast directory scanner, DICOMDIR. 2D and 3D views with
many tools. View uniform and non-uniform series in physical space.
Consistently de-identify DICOM. View DICOM metadata. Ultrasound with proper
measurement in regions, cine. Scout (localizer) lines. Grayscale softcopy
presentation. Structured report. Compressed images. RTSTRUCT contours.
Siemens mosaic format. United Imaging Healthcare (UIH) Grid / VFrame format.
Elscint ELSCINT1 PMSCT_RLE1 and PMSCT_RGB1

%prep
%forgesetup

%build
%cmake \
  -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
  -DALIZA_QT_VERSION:STRING=5 \
  -DMDCM_USE_SYSTEM_ZLIB:BOOL=ON \
  -DMDCM_USE_SYSTEM_OPENJPEG:BOOL=ON \
  -DMDCM_USE_SYSTEM_CHARLS:BOOL=ON \
  -DMDCM_USE_SYSTEM_UUID:BOOL=ON \
  -DALIZA_CXX_STANDARD:STRING=14 \
  -DITK_DIR=%{_libdir}/cmake/InsightToolkit \
%cmake_build

%install
%cmake_install

# Install appdata
install -d %{buildroot}%{_datadir}/metainfo
install -p -m 0644 %{SOURCE1} \
  %{buildroot}%{_datadir}/metainfo

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet \
  %{buildroot}%{_datadir}/metainfo/*.appdata.xml

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Mon Nov 08 2021 Alessio <alessio@fedoraproject.org> - 1.7.1-1
- Initial RPM version
